summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2013-07-07 11:37:37 +0100
committerStefano Lattarini <stefano.lattarini@gmail.com>2013-07-07 11:37:37 +0100
commitac0e09477ca1614892799c91c327fff0ba83ad19 (patch)
tree1acfdb30d834f58c7704dd5354575185ae6d1d2f
parent69a3cf8933372fa7ee155a284048e40e0939d586 (diff)
downloadautomake-ac0e09477ca1614892799c91c327fff0ba83ad19.tar.gz
tests: fix a spurious failure on NetBSD-current
Reported in automake bug#14760. * tests/silent-custom.sh: Be prepared to handle creative quoting in the output of the shell run for the make recipes when the shell traces are active ("set -x"). Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
-rw-r--r--t/silent-custom.sh14
1 files changed, 12 insertions, 2 deletions
diff --git a/t/silent-custom.sh b/t/silent-custom.sh
index 7ce3ffcc8..b00e388b1 100644
--- a/t/silent-custom.sh
+++ b/t/silent-custom.sh
@@ -80,8 +80,18 @@ do_check ()
else
$FGREP 'GEN ' output && exit 1
$FGREP 'cp ./foo.in foo' output
- $FGREP "rm -f sub/0.h sub/1.h sub/2.h" output
- $FGREP "generate-header --flags sub/0.h sub/1.h sub/2.h" output
+ # Be prepared to handle "creative quoting" in the shell traces.
+ # See automake bug#14760.
+ ok=false
+ for q in '' \' \"; do
+ files="${q}sub/0.h${q} ${q}sub/1.h${q} ${q}sub/2.h${q}"
+ $FGREP "rm -f $files" output || continue
+ $FGREP "generate-header --flags $files" output || continue
+ ok=:
+ break
+ done
+ $ok || exit 1
+ unset ok
fi
}